Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.querydefn
Class InputParameterBinding

    java.lang.Object
      org.eclipse.birt.data.engine.api.querydefn.InputParameterBinding

All Implemented Interfaces:
  IInputParameterBinding

    public class InputParameterBinding

extends java.lang.Object
implements IInputParameterBinding

Default implementation of `IInputParameterBinding` interface.

Field Summary
`protected IBaseExpression` | `expr`
`protected java.lang.String` | `name`
`protected int` | `position`

Constructor Summary
`InputParameterBinding(int paramPosn, IBaseExpression boundExpression)` Constructs a binding based on parameter position
`InputParameterBinding(java.lang.String paramName, IBaseExpression boundExpression)` Constructs a binding based on parameter name

Method Summary
`IBaseExpression` | `getExpr()` Returns the expression that provides the value of the parameter.
`java.lang.String` | `getName()` Returns the parameter name.
`int` | `getPosition()` Returns the parameter position.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### position

    protected int position

### expr

    protected IBaseExpression expr

Constructor Detail

### InputParameterBinding

    public InputParameterBinding(java.lang.String paramName,
                                 IBaseExpression boundExpression)

  Constructs a binding based on parameter name

### InputParameterBinding

    public InputParameterBinding(int paramPosn,
                                 IBaseExpression boundExpression)

  Constructs a binding based on parameter position

Method Detail

### getExpr

    public IBaseExpression getExpr()

  Returns the expression that provides the value of the parameter.

  Specified by:
    `getExpr` in interface `IInputParameterBinding`
  Returns:
    the bound expression

### getName

    public java.lang.String getName()

  Returns the parameter name.

  Specified by:
    `getName` in interface `IInputParameterBinding`
  Returns:
    the name. If null, this parameter is bound by position

### getPosition

    public int getPosition()

  Returns the parameter position.

  Specified by:
    `getPosition` in interface `IInputParameterBinding`
  Returns:
    the name. If -1, this parameter is bound by name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.